dart2js task needs a tweak to work on windows #9

Open
devoncarew opened this Issue Jan 25, 2013 · 3 comments

Comments

Projects
None yet
3 participants

The dart2js task needs to reference the .bat script when running on windows. Something like this:

bool get _isWindows => Platform.operatingSystem == 'windows';
Path get _dart2jsPath => new Path.fromNative(new Options().executable)
.directoryPath.append(_isWindows ? 'dart2js.bat' : 'dart2js');

I'm pretty sure that windows does magic and will interpret "foo" as
"foo.bat"
On Jan 25, 2013 8:31 AM, "Devon Carew" notifications@github.com wrote:

The dart2js task needs to reference the .bat script when running on
windows. Something like this:

bool get _isWindows => Platform.operatingSystem == 'windows';
Path get _dart2jsPath => new Path.fromNative(new Options().executable)
.directoryPath.append(_isWindows ? 'dart2js.bat' : 'dart2js');


Reply to this email directly or view it on GitHubhttps://github.com/dart-lang/buildtool/issues/9.

It doesn't. We're directly referencing the file to run, and dart-sdk\bin\dart2js doesn't exist on the windows sdk.

@ghost ghost assigned justinfagnani Jan 28, 2013

Owner

justinfagnani commented Jan 28, 2013

Thanks for the report Devon!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment